%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  copulaboost
%global packver   0.1.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.0
Release:          1%{?dist}%{?buildtag}
Summary:          Fitting Additive Copula Regression Models for Binary Outcome Regression

License:          MIT + file LICENCE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch
BuildRequires:    R-CRAN-rvinecopulib >= 0.5.4.1.0
Requires:         R-CRAN-rvinecopulib >= 0.5.4.1.0

%description
Additive copula regression for regression problems with binary outcome via
gradient boosting [Brant, Hobæk Haff (2022); <arXiv:2208.04669>]. The
fitting process includes a specialised model selection algorithm for each
component, where each component is found (by greedy optimisation) among
all the D-vines with only Gaussian pair-copulas of a fixed dimension, as
specified by the user. When the variables and structure have been
selected, the algorithm then re-fits the component where the pair-copula
distributions can be different from Gaussian, if specified.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
